import request from '/@/utils/request';

export function Add(params: Object) {
	return request({
		url: '/doc/patient/template/add',
		method: 'post',
		data: params,
	});
}
export function update(params: string) {
	return request({
		url: '/doc/patient/template/update',
		method: 'post',
		data: params,
	});
}
export function deleteId(params: string) {
	return request({
		url: '/doc/patient/template/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function list(params: object) {
    return request({
		url: '/doc/patient/template/list',
		method: 'post',
		headers: {
		'Content-Type': 'application/x-www-form-urlencoded'
		},
		params
    })
}
export function getpatient_signed_doc(params: Object) {
	return request({
		url: '/patient/signed/doc/list',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params,
	});
}
export function patient_signed_doc_add(params: Object) {
	return request({
		url: '/patient/signed/doc/add',
		method: 'post',
		data: params,
	});
}
export function deleteSigned(params: string) {
	return request({
		url: '/patient/signed/doc/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}